MetaSoul

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
emoshapeio::client Class Reference

`#include <sio_client.h>`

## Public Types
enum | close_reason { close_reason_normal , close_reason_drop }
typedef std::function< void(void)> | con_listener
typedef std::function< void(close_reason const &reason) | close_listener)
typedef std::function< void(unsigned, unsigned)> | reconnect_listener
typedef std::function< void(std::string const &nsp) | socket_listener)

## Public Member Functions
| client ()
| client (const bool bShouldUseTlsLibraries, const bool bShouldSkipCertificateVerification)
| ~client ()
void | set_open_listener (con_listener const &l)
void | set_fail_listener (con_listener const &l)
void | set_reconnecting_listener (con_listener const &l)
void | set_reconnect_listener (reconnect_listener const &l)
void | set_close_listener (close_listener const &l)
void | set_socket_open_listener (socket_listener const &l)
void | set_socket_close_listener (socket_listener const &l)
void | clear_con_listeners ()
void | clear_socket_listeners ()
void | connect ()
void | connect (const std::string &uri)
void | connect (const std::string &uri, const std::map< std::string, std::string > &query)
void | connect (const std::string &uri, const std::map< std::string, std::string > &query, const std::map< std::string, std::string > &http_extra_headers)
void | set_reconnect_attempts (int attempts)
void | set_reconnect_delay (unsigned millis)
void | set_reconnect_delay_max (unsigned millis)
void | set_path (const std::string &path)
void | set_logs_default ()
void | set_logs_quiet ()
void | set_logs_verbose ()
emoshapeio::socket::ptr const & | socket (const std::string &nsp="")
void | close ()
void | sync_close ()
void | stop ()
bool | opened () const
std::string const & | get_sessionid () const
std::string const & | get_url () const

## Member Typedef Documentation

## ◆ close_listener

typedef std::function<void(close_reason const& reason) emoshapeio::client::close_listener)

## ◆ con_listener

typedef std::function<void(void)> emoshapeio::client::con_listener

## ◆ reconnect_listener

typedef std::function<void(unsigned, unsigned)> emoshapeio::client::reconnect_listener

## ◆ socket_listener

typedef std::function<void(std::string const& nsp) emoshapeio::client::socket_listener)

## Member Enumeration Documentation

## ◆ close_reason

enum emoshapeio::client::close_reason

Enumerator
close_reason_normal |
close_reason_drop |

## Constructor & Destructor Documentation

## ◆ client() [1/2]

emoshapeio::client::client | ( |  | ) |

## ◆ client() [2/2]

emoshapeio::client::client | ( | const bool | bShouldUseTlsLibraries,
|  | const bool | bShouldSkipCertificateVerification )

## ◆ ~client()

emoshapeio::client::~client | ( |  | ) |

## Member Function Documentation

## ◆ clear_con_listeners()

void emoshapeio::client::clear_con_listeners | ( |  | ) |

## ◆ clear_socket_listeners()

void emoshapeio::client::clear_socket_listeners | ( |  | ) |

## ◆ close()

void emoshapeio::client::close | ( |  | ) |

## ◆ connect() [1/4]

void emoshapeio::client::connect | ( |  | ) |

## ◆ connect() [2/4]

void emoshapeio::client::connect | ( | const std::string & | uri | ) |

## ◆ connect() [3/4]

void emoshapeio::client::connect | ( | const std::string & | uri,
|  | const std::map< std::string, std::string > & | query )

## ◆ connect() [4/4]

void emoshapeio::client::connect | ( | const std::string & | uri,
|  | const std::map< std::string, std::string > & | query,
|  | const std::map< std::string, std::string > & | http_extra_headers )

## ◆ get_sessionid()

std::string const & emoshapeio::client::get_sessionid | ( |  | ) | const

## ◆ get_url()

std::string const & emoshapeio::client::get_url | ( |  | ) | const

## ◆ opened()

bool emoshapeio::client::opened | ( |  | ) | const

## ◆ set_close_listener()

void emoshapeio::client::set_close_listener | ( | close_listener const & | l | ) |

## ◆ set_fail_listener()

void emoshapeio::client::set_fail_listener | ( | con_listener const & | l | ) |

## ◆ set_logs_default()

void emoshapeio::client::set_logs_default | ( |  | ) |

## ◆ set_logs_quiet()

void emoshapeio::client::set_logs_quiet | ( |  | ) |

## ◆ set_logs_verbose()

void emoshapeio::client::set_logs_verbose | ( |  | ) |

## ◆ set_open_listener()

void emoshapeio::client::set_open_listener | ( | con_listener const & | l | ) |

## ◆ set_path()

void emoshapeio::client::set_path | ( | const std::string & | path | ) |

## ◆ set_reconnect_attempts()

void emoshapeio::client::set_reconnect_attempts | ( | int | attempts | ) |

## ◆ set_reconnect_delay()

void emoshapeio::client::set_reconnect_delay | ( | unsigned | millis | ) |

## ◆ set_reconnect_delay_max()

void emoshapeio::client::set_reconnect_delay_max | ( | unsigned | millis | ) |

## ◆ set_reconnect_listener()

void emoshapeio::client::set_reconnect_listener | ( | reconnect_listener const & | l | ) |

## ◆ set_reconnecting_listener()

void emoshapeio::client::set_reconnecting_listener | ( | con_listener const & | l | ) |

## ◆ set_socket_close_listener()

void emoshapeio::client::set_socket_close_listener | ( | socket_listener const & | l | ) |

## ◆ set_socket_open_listener()

void emoshapeio::client::set_socket_open_listener | ( | socket_listener const & | l | ) |

## ◆ socket()

socket::ptr const & emoshapeio::client::socket | ( | const std::string & | nsp = "" | ) |

## ◆ stop()

void emoshapeio::client::stop | ( |  | ) |

## ◆ sync_close()

void emoshapeio::client::sync_close | ( |  | ) |

The documentation for this class was generated from the following files:

- EmoShapeIOLib/Public/sio_client.h
- EmoShapeIOLib/Private/sio_client.cpp